Name:           python-argparse-dataclass
Version:        2.0.0
Release:    1%{?dist}
Summary:        Declarative CLIs with argparse and dataclasses

License:        MIT
URL:            https://github.com/mivade/argparse_dataclass
Source0:         %{url}/archive/%{version}/argparse_dataclass-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist pytest}

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n python3-argparse-dataclass
Summary:        %{summary}

%description -n python3-argparse-dataclass %{common_description}


%prep
%autosetup -n argparse_dataclass-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files argparse_dataclass


%check
%pytest --doctest-modules -v


%files -n python3-argparse-dataclass -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md
%doc README.rst


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-1
- initial build
